Subject: AD: Microminearals from Sauktown Sales
From: &quot;J. Daly&quot; &lt;[email-masked]&gt;
To: Jim Daly &lt;[email-masked]&gt;, Rockhounds &lt;[email-masked]&gt;, sauktown-micromounts &lt;[email-masked]&gt;
Date: Mon, 3 Aug 2020 09:38:30 -0500

The August update to www.sauktown.com will be posted today.
This is the end (so far) of the Art Smith collection. There should be an
influx of new material next month, though.
This month&#x27;s material includes a number of hemimorphites.
The unmounted specimens have some material from Lemolo Lake, Oregon that
looks a lot like the Summit Rock material from nearby.
The Post Office keeps raising the postage on packages. I&#x27;ve tried to hold
the line as long as I could, but now I have to raise my &quot;flat rate&quot;
again.The new rates are:
Domestic    $ 4.50
Canada       $ 10.75
Elsewhere   $ 14.74
Let&#x27;s see how long this will last!

Jim Daly
Sauktown Sales
www.sauktown.com
[email-masked]